## hubzero-firewall 1.1.0

=== Makefile ===
# Copyright 2006-2012 by Purdue Research Foundation, West Lafayette, IN 47906.
# All rights reserved.
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License, version 3 as published by the Free Software Foundation.

ETCDIR=$(DESTDIR)/etc
OWNER=root
GROUP=root

clean:
	@true

install:
	install -D firewall_on  $(ETCDIR)/firewall_on --owner $(OWNER) --group $(GROUP) --mode 0755
	install -D firewall_off $(ETCDIR)/firewall_off --owner $(OWNER) --group $(GROUP) --mode 0755

postinst:
	install -D hubzero-firewall.init $(ETCDIR)/init.d/hubzero-firewall

## hubzero-firewall 1.1.1

=== Makefile ===
# @package      hubzero-firewall
# @file         Makefile
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2010-2012 HUBzero Foundation, LLC.
# @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
#
# Copyright (c) 2010-2012 HUBzero Foundation, LLC.
#
# This file is part of: The HUBzero(R) Platform for Scientific Collaboration
#
# The HUBzero(R) Platform for Scientific Collaboration (HUBzero) is free
# software: you can redistribute it and/or modify it under the terms of
# the GNU Lesser General Public License as published by the Free Software
# Foundation, either version 3 of the License, or (at your option) any
# later version.
#
# HUBzero is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# HUBzero is a registered trademark of HUBzero Foundation, LLC.

ETCDIR=$(DESTDIR)/etc

default all build:
	@true
	
install:
	install -D firewall_on  $(ETCDIR)/firewall_on --mode 0755
	install -D firewall_off $(ETCDIR)/firewall_off--mode 0755
	install -D hubzero-firewall.init $(ETCDIR)/init.d/hubzero-firewall

configure:
	@true
	
clean:
	@true

## hubzero-firewall 1.1.2

=== Makefile ===
--- 
+++ 
@@ -31,8 +31,8 @@
 	
 install:
 	install -D firewall_on  $(ETCDIR)/firewall_on --mode 0755
-	install -D firewall_off $(ETCDIR)/firewall_off--mode 0755
-	install -D hubzero-firewall.init $(ETCDIR)/init.d/hubzero-firewall
+	install -D firewall_off $(ETCDIR)/firewall_off --mode 0755
+	install -D hubzero-firewall.init $(ETCDIR)/init.d/hubzero-firewall --mode 0755
 
 configure:
 	@true

## hubzero-firewall 1.1.4

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 # @package      hubzero-firewall
 # @file         Makefile
 # @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2012 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2013 HUBzero Foundation, LLC.
 # @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
 #
-# Copyright (c) 2010-2012 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2013 HUBzero Foundation, LLC.
 #
 # This file is part of: The HUBzero(R) Platform for Scientific Collaboration
 #

## hubzero-firewall 1.2.0

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 # @package      hubzero-firewall
 # @file         Makefile
 # @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2013 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2014 HUBzero Foundation, LLC.
 # @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
 #
-# Copyright (c) 2010-2013 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2014 HUBzero Foundation, LLC.
 #
 # This file is part of: The HUBzero(R) Platform for Scientific Collaboration
 #
@@ -23,20 +23,33 @@
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 #
 # HUBzero is a registered trademark of HUBzero Foundation, LLC.
+#
 
-ETCDIR=$(DESTDIR)/etc
+ETC=$(DESTDIR)/etc
 
-default all build:
+DISTRIBUTION=$(shell lsb_release -i -s)
+
+ifeq ($(DISTRIBUTION),Debian)
+    INITFILE=hubzero-firewall.init.deb
+else
+    INITFILE=hubzero-firewall.init.rh
+endif
+
+all:
 	@true
-	
+
 install:
-	install -D firewall_on  $(ETCDIR)/firewall_on --mode 0755
-	install -D firewall_off $(ETCDIR)/firewall_off --mode 0755
-	install -D hubzero-firewall.init $(ETCDIR)/init.d/hubzero-firewall --mode 0755
+	install -D firewall_on  $(ETC)/firewall_on --mode 0755
+	install -D firewall_off $(ETC)/firewall_off --mode 0755
+	install -D $(INITFILE) $(ETC)/init.d/hubzero-firewall --mode 0755
 
-configure:
+uninstall:
 	@true
-	
+
+postinst:
+	@true
+
 clean:
 	@true
-	
+
+.PHONY: all install uninstall postinst clean

## hubzero-firewall 1.3.1

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 # @package      hubzero-firewall
 # @file         Makefile
 # @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2014 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2015 HUBzero Foundation, LLC.
 # @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
 #
-# Copyright (c) 2010-2014 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2015 HUBzero Foundation, LLC.
 #
 # This file is part of: The HUBzero(R) Platform for Scientific Collaboration
 #

## hubzero-firewall 2.1.1-1+deb7

=== debian/changelog ===
hubzero-firewall (2.1.1-1+deb7) unstable; urgency=low

  * update version

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 13 Jul 2018 13:43:12 -0400

hubzero-firewall (2.0.0-1) unstable; urgency=low

  * update copyright, license, version

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sat, 29 Aug 2015 23:52:21 -0400

hubzero-firewall (1.3.2-1) unstable; urgency=low

  * remove init.d dependency on virtual $all facility

 -- Nicholas Kisseberth <nkissebe@purdue.edu>  Sat, 29 Aug 2015 18:15:58 -0400

hubzero-firewall (1.3.1-1) unstable; urgency=low

  * update copyrights

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 16 Feb 2015 13:09:40 -0500

hubzero-firewall (1.2.0-1) unstable; urgency=low

  * Repackaged to support multiple Debian releases

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 08 Sep 2014 13:29:58 -0400

hubzero-firewall (1.1.4-1) unstable; urgency=low

  * repackaging

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 22 Aug 2013 19:39:25 -0400

hubzero-firewall (1.1.3-1) unstable; urgency=low

  * Update copyright statements

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 16 Aug 2013 18:43:35 -0400

hubzero-firewall (1.1.2-1) unstable; urgency=low

  * make iptables dependency explicit

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sun, 23 Sep 2012 12:14:10 -0400

hubzero-firewall (1.1.1-1) unstable; urgency=low

  * update HUBzero Foundation, LLC copyrights and Debian 6 packaging

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 07 Sep 2012 19:21:34 -0400

hubzero-firewall (1.1.0-1) unstable; urgency=low

  * fix lintian errors, start firewall with init.d rather than rc.boot

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 22 Mar 2012 13:41:29 -0400

hubzero-firewall (1.0.0-1) testing; urgency=low

  * Update to 1.0

 -- John Rosheck <jrosheck@purdue.edu>  Thu, 07 Apr 2011 23:59:47 -0400

hubzero-firewall (0.9.0-1) testing; urgency=low

  * changed name to hubzero-firewall
  * readded call to bring up firewall in postinst script

 -- John Rosheck <jrosheck@purdue.edu>  Thu, 31 Mar 2011 15:25:22 -0400

hubzero-mw-firewall (0.9.0-1) testing; urgency=low

  * updated copyright, changed directory references from /etc/mw to 
   /etc/hubzero same with thoses in /var/lib and /var/log.  Cleaned up
   debian directory.

 -- John Rosheck <jrosheck@purdue.edu>  Fri, 04 Mar 2011 00:03:55 -0500

hubzero-mw-firewall (0.8.2-1) unstable; urgency=low

  * Non-maintainer upload.
  * Updated version to prevent conflict in repository, marked as unstable

 -- John Rosheck <jrosheck@purdue.edu>  Fri, 24 Sep 2010 16:32:45 -0400

hubzero-mw-firewall (0.8.1-1) stable; urgency=low

  * remove symlink from upstream makefile

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 07 Apr 2010 18:37:13 -0400

hubzero-mw-firewall (0.8.0-2) stable; urgency=low

  * make symlink from postinst 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 07 Apr 2010 18:34:58 -0400

hubzero-mw-firewall (0.8.0-1) stable; urgency=low

  * Initial release.

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 07 Apr 2010 18:16:07 -0400

## hubzero-firewall 2.1.1-1+deb8

=== Makefile ===
# @package      hubzero-firewall
# @file         Makefile
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2010-2015 HUBzero Foundation, LLC.
# @license      http://opensource.org/licenses/MIT MIT
#
# Copyright (c) 2010-2015 HUBzero Foundation, LLC.
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.
#
# HUBzero is a registered trademark of HUBzero Foundation, LLC.
#

ETC=$(DESTDIR)/etc

DISTRIBUTION=$(shell lsb_release -i -s)

ifeq ($(DISTRIBUTION),Debian)
    INITFILE=hubzero-firewall.init.deb
else
    INITFILE=hubzero-firewall.init.rh
endif

all:
	@true

install:
	install -D firewall_on  $(ETC)/firewall_on --mode 0755
	install -D firewall_off $(ETC)/firewall_off --mode 0755
	install -D $(INITFILE) $(ETC)/init.d/hubzero-firewall --mode 0755

uninstall:
	@true

postinst:
	@true

clean:
	@true

.PHONY: all install uninstall postinst clean

=== debian/changelog ===
hubzero-firewall (2.1.1-1+deb8) unstable; urgency=low

  * update version

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 13 Jul 2018 13:43:12 -0400

=== debian/control ===
Source: hubzero-firewall
Section: misc
Priority: optional
Maintainer: Nicholas J. Kisseberth <nkissebe@purdue.edu>
Build-Depends: debhelper (>= 8.0.0)
Standards-Version: 3.8.4
Homepage: http://hubzero.org

Package: hubzero-firewall
Architecture: all
Depends: iptables, ${misc:Depends}
Description: HUBzero sample iptables firewall
 A basic iptables firewall for use with HUBzero. Provides the necessary routing
 between session containers and the outside world.

=== debian/rules ===
#!/usr/bin/make -f
#
# @package      hubzero-firewall
# @file         rules
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2010-2015 HUBzero Foundation, LLC.
# @license      http://opensource.org/licenses/MIT MIT
#
# Copyright (c) 2010-2015 HUBzero Foundation, LLC.
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.
#
# HUBzero is a registered trademark of HUBzero Foundation, LLC.
#

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

$(info ########## Goals: $(MAKECMDGOALS) ##########)

CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

export CFLAGS
export CPPFLAGS
export CXXFLAGS
export LDFLAGS

DEB_MAJOR:=$(shell lsb_release -r -s | cut -d . -f 1)

configure:
	@echo "########## configure ##########"
	dh_testdir
	>$@

build: configure
	@echo "########## build ##########"
	dh_testdir
	$(MAKE)
	>$@

clean:
	@echo "########## clean ##########"
	dh_testdir
	dh_testroot
	rm -fr build configure
	$(MAKE) clean
	dh_clean

install: build
	@echo "########## install ##########"
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/hubzero-firewall install

binary-indep: install
	@echo "########## binary-indep ##########"
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs -i
	dh_installdocs -i
	dh_installexamples -i
	dh_install -i
	dh_installlogrotate -i
	dh_installinit -i -o
	dh_installman -i
	#dh_python2 -i
	dh_link -i
	dh_strip -i
	dh_lintian -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: install
	@echo "########## binary-arch ##########"
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs -a
	dh_installdocs -a
	dh_installexamples -a
	dh_install -a
	dh_installlogrotate -a
	dh_installinit -a
	dh_installman -a
	dh_link -a
	dh_strip -a
	dh_lintian -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep 
#binary: binary-arch
	@echo "########## binary ##########"

.PHONY: clean binary-indep binary-arch binary install

## hubzero-firewall 2.2.0-1+deb8

=== debian/changelog ===
hubzero-firewall (2.2.0-1+deb8) unstable; urgency=low

  * update version

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 25 Jun 2018 15:37:06 -0400

hubzero-firewall (2.1.1-1) unstable; urgency=low

  * update version

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 22 Jun 2018 13:43:12 -0400
